%define svn 1
%if %{svn}
%define rev 83
%endif
%define rel 0.2
Name:           fosfor
Version:        0.1
%if %{svn}
Release:        %{rel}.%{rev}svn%{?dist}
%else
Release:        %{rel}%{?dist}
%endif
Summary:        A media player for Linux that uses the Clutter and GStreamer toolkits 

Group:          Applications/Multimedia
License:        GPLv3
URL:            http://code.google.com/p/fosfor/
%if %{svn}
# To get this svn snapshot, do the following :
# svn checkout -r %{rev} http://fosfor.googlecode.com/svn/trunk/ fosfor-read-only
# mv fosfor-read-only %{name}-%{version}-%{rev}svn
# tar -cjvf %{name}-%{version}-%{rev}svn.tar.bz2 %{name}-%{version}-%{rev}svn
Source0:        %{name}-%{version}-%{rev}svn.tar.bz2
%else
Source0:        %{name}-%{version}.tar.bz2
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#Patch0: use clutter-gtk-0.10 and clutter-gst-0.10 as they are the newest
Patch0:         %{name}-update-buildrequires.patch

BuildRequires:  clutter-gtk-devel clutter-gst-devel desktop-file-utils dbus-glib-devel libtool intltool

%description
A media player for Linux that uses the Clutter and GStreamer toolkits

%prep
%if %{svn}
%setup -q -n %{name}-%{version}-%{rev}svn
%else
%setup -q
%endif

%patch0 -p1 -b .fosfor-update-buildrequires

autoreconf -i -f

%build
%configure --docdir=%{_docdir}/%{name}-%{version}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database -q
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-desktop-database -q
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*



%changelog
* Sun Dec 20 2009 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.1-0.82svn
- Initial package for Fedora
